DESCRIPTION = "U-Boot for K&K boards."

require recipes-bsp/u-boot/u-boot.inc
#require u-boot-imx-common.inc
#require recipes-bsp/u-boot/u-boot-imx-common.inc

PROVIDES += "u-boot"

SRCBRANCH = "kuk_imx_v2019.04_5.4.3_2.0.0"
SRCPROTO  = "ssh"
UBOOT_SRC = "git://git@gitlab.keith-koep.com:30001/imx/uboot-imx.git"
SRC_URI   = "${UBOOT_SRC};protocol=${SRCPROTO};branch=${SRCBRANCH}"
SRCREV = "${AUTOREV}"

S = "${WORKDIR}/git"
LICENSE = "GPLv2+"
LIC_FILES_CHKSUM = "file://Licenses/gpl-2.0.txt;md5=b234ee4d69f5fce4486a80fdaf4a4263"

#do_compile_prepend() {
#	cp ${S}/configs/${UBOOT_MACHINE}_defconfig ${D}/.config
#}

COMPATIBLE_MACHINE = "(trizeps8mini)"

UBOOT_INITIAL_ENV = ""
#UBOOT_BINARIES = "miniflash"
